Deployments.ai Docs
Brains

List Brain grants

GET /v1/brains/{brainId}/grants · SDK listBrainGrants · CLI deployments brain-grant list

GET
/v1/brains/{brainId}/grants

Requires brains:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

BrainGrantPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/brains/string/grants" \  -H "x-deployments-organization: string"
{  "items": [    {      "brainId": "string",      "createdAt": "string",      "id": "string",      "organizationId": "string",      "ownershipGeneration": 0,      "permission": "curator",      "revokedAt": "string",      "status": "active",      "target": {        "principalId": "string",        "type": "principal"      },      "updatedAt": "string",      "version": 0    }  ],  "nextCursor": "string"}